package com.zd.laboratory.domain;

import java.math.BigDecimal;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 实验室硬件位置对象 lab_subject_hardware_position
 *
 * @author zd
 * @date 2021-09-16
 */
@ApiModel("实验室硬件位置")
public class LabSubjectHardwarePosition extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 位置id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 实验室id
     */
    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室id")
    private Long labSubjectId;
    /**
     * 硬件名称
     */
    @Excel(name = "硬件名称")
    @Length(message = "硬件名称长度不能超过500")
    @ApiModelProperty(value = "硬件名称")
    private String hardName;
    /**
     * 硬件id
     */
    @Excel(name = "硬件id")
    @ApiModelProperty(value = "硬件id")
    private Long hardId;
    /**
     * 横轴坐标
     */
    @Excel(name = "横轴坐标")
    @ApiModelProperty(value = "横轴坐标")
    private BigDecimal horizontalAxis;
    /**
     * 竖轴坐标
     */
    @Excel(name = "竖轴坐标")
    @ApiModelProperty(value = "竖轴坐标")
    private BigDecimal verticalAxis;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setLabSubjectId(Long labSubjectId) {
        this.labSubjectId = labSubjectId;
    }

    public Long getLabSubjectId() {
        return labSubjectId;
    }

    public void setHardName(String hardName) {
        this.hardName = hardName;
    }

    public String getHardName() {
        return hardName;
    }

    public void setHardId(Long hardId) {
        this.hardId = hardId;
    }

    public Long getHardId() {
        return hardId;
    }

    public void setHorizontalAxis(BigDecimal horizontalAxis) {
        this.horizontalAxis = horizontalAxis;
    }

    public BigDecimal getHorizontalAxis() {
        return horizontalAxis;
    }

    public void setVerticalAxis(BigDecimal verticalAxis) {
        this.verticalAxis = verticalAxis;
    }

    public BigDecimal getVerticalAxis() {
        return verticalAxis;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("labSubjectId", getLabSubjectId())
                .append("hardName", getHardName())
                .append("hardId", getHardId())
                .append("horizontalAxis", getHorizontalAxis())
                .append("verticalAxis", getVerticalAxis())
                .append("createTime", getCreateTime())
                .toString();
    }
}
